Bug report #3150

OpenStreetMap plugin - error downloading .osm data

Added by Ricardo Silva almost 10 years ago. Updated almost 10 years ago.

Status:Closed
Priority:Low
Assignee:Martin Dobias
Category:Python plugins
Affected QGIS version: Regression?:No
Operating System:Debian Easy fix?:No
Pull Request or Patch supplied: Resolution:fixed
Crashes QGIS or corrupts data: Copied to github as #:13210

Description

When trying to download .osm data into Qgis a python error is thrown and nothing gets added to the canvas, even though all the GUI parameters seem to be OK.

I am attaching a screenshot of the GUI's state just before I press the 'Download' button. In it you can also see the extent I am using, so it can be used as a test case.

The error thrown is:

An error has occured while executing Python code:

Traceback (most recent call last):
File "/home/ricardo/Programas/qgis_trunk/share/qgis/python/plugins/osm/OsmPlugin.py", line 261, in downloadOsmData
self.dlgLoad=OsmLoadDlg(self)
File "/home/ricardo/Programas/qgis_trunk/share/qgis/python/plugins/osm/OsmLoadDlg.py", line 57, in init
item.setFlags( Qt.ItemIsSelectable | Qt.ItemIsUserCheckable | Qt.ItemIsEnabled)
AttributeError: 'module' object has no attribute 'ItemIsSelectable'

Screenshot.png - A screenshot of the GUI just before the 'Download' button is pressed. It also shows the extent (166 KB) Ricardo Silva, 2010-10-24 03:57 AM

History

#1 Updated by Giovanni Manghi almost 10 years ago

Ricardo did you tested trunk. I used to get the same error, but now in trunk seems to be gone.

#2 Updated by Ricardo Silva almost 10 years ago

Yeah, I'm using Qgis 1.6 (rev. 14431), built yesterday (24th October 2010) and I get the above described error. I'm on Ubuntu 10.10

#3 Updated by Giovanni Manghi almost 10 years ago

oh yes, seeing it again too.

#4 Updated by Martin Dobias almost 10 years ago

  • Resolution set to fixed
  • Status changed from Open to Closed

fixed in b21f5e6e (SVN r14454).

Also available in: Atom PDF